LibreOffice: XOutParameters Interface Reference

LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XOutParameters Interface Reference

is used to register Out-Parameters for stored procedures. More...

`import <XOutParameters.idl;`

Inheritance diagram for XOutParameters:

## Public Member Functions
void | registerOutParameter ([in]long parameterIndex, [in]long sqlType, [in]string typeName) raises (SQLException)
| registers the designated output parameter.
void | registerNumericOutParameter ([in]long parameterIndex, [in]long sqlType, [in]long scale) raises (SQLException)
| registers the OUT parameter in ordinal position `parameterIndex` to the SDBC type `sqlType`.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

is used to register Out-Parameters for stored procedures.

SDBC provides a stored procedure SQL escape that allows stored procedures to be called in a standard way for all RDBMSs. This escape syntax has one form that includes a result parameter and one that does not. If used, the result parameter must be registered as an OUT parameter. The other parameters can be used for input, output, or both. Parameters are referred to sequentially, by number. The first parameter is 1.

Developers Guide
  Database Access - Stored Procedures

## Member Function Documentation

## ◆ registerNumericOutParameter()

void registerNumericOutParameter | ( | [in] long | parameterIndex,
|  | [in] long | sqlType,
|  | [in] long | scale )
raises | ( | SQLException ) |  |  |

registers the OUT parameter in ordinal position `parameterIndex` to the SDBC type `sqlType`.

All OUT parameters must be registered before a stored procedure is executed.

The SDBC type specified by `sqlType` for an OUT parameter determines the type that must be used in the `get` method to read the value of that parameter. This version of com::sun::star::sdbc::XOutParameters::registerOutParameter() should be used when the parameter is of SDBC type com::sun::star::sdbc::DataType::NUMERIC or com::sun::star::sdbc::DataType::DECIMAL.

Parameters

  parameterIndex | the first parameter is 1, the second is 2, ...
  sqlType | the type of the column to register
  scale | the scale of the type

Exceptions

  SQLException | if a database access error occurs.

## ◆ registerOutParameter()

void registerOutParameter | ( | [in] long | parameterIndex,
|  | [in] long | sqlType,
|  | [in] string | typeName )
raises | ( | SQLException ) |  |  |

registers the designated output parameter.

This version of the method com::sun::star::sdbc::XOutParameters::registerOutParameter() should be used for a user-named or REF output parameter. Examples of user-named types include: STRUCT, DISTINCT, OBJECT, and named array types.

Before executing a stored procedure call, you must explicitly call com::sun::star::sdbc::XOutParameters::registerOutParameter() to register the type from com::sun::star::sdbc::DataType for each OUT parameter.
For a user-named parameter the fully-qualified SQL type name of the parameter should also be given, while a REF parameter requires that the fully-qualified type name of the referenced type be given. An SDBC driver that does not need the type code and type name information may ignore it. To be portable, however, applications should always provide these values for user-named and REF parameters.

Although it is intended for user-named and REF parameters, this method may be used to register a parameter of any SDBC type. If the parameter does not have a user-named or REF type, the typeName parameter is ignored.

Note: When reading the value of an out parameter, you must use the `getXXX` method whose type XXX corresponds to the parameter's registered SQL type.

Parameters

  parameterIndex | the first parameter is 1, the second is 2, ...
  sqlType | the type of the column to register
  typeName | the name of the type

Exceptions

  SQLException | if a database access error occurs.

The documentation for this interface was generated from the following files:

- com/sun/star/sdbc/XOutParameters.idl
- /build/libreoffice-still/src/libreoffice-24.2.7.2/odk/docs/idl/generated_idl_chapter_refs.idl